Subject: Re: [PATCH nf v1] netfilter: nfnetlink: Initialise extack before use in ACKs

From: Simon Horman <[email-masked]>
Date: Fri, 9 Aug 2024 16:33:15 +0100

On Fri, Aug 09, 2024 at 12:15:55PM +0100, Donald Hunter wrote:
> Simon Horman <[email-masked]> writes:
> 
> > On Tue, Aug 06, 2024 at 04:43:24PM +0100, Donald Hunter wrote:
> >> Add missing extack initialisation when ACKing BATCH_BEGIN and BATCH_END.
> >> 
> >> Fixes: bf2ac490d28c ("netfilter: nfnetlink: Handle ACK flags for batch messages")
> >> Signed-off-by: Donald Hunter <[email-masked]>
> >
> > Hi Donald,
> >
> > I see two other places that extack is used in nfnetlink_rcv_batch().
> > Is it safe to leave them as-is?
> 
> There is a memset at the start of the main while loop that zeroes extack
> for those two cases.

Thanks Donald,

I missed that.

I was wondering if it might be best to clear extack at the beginning of
the function. But if the loop needs to clear it on each iteration, then
I think your solution is good.

Reviewed-by: Simon Horman <[email-masked]>